Page 2 of 2 FirstFirst 12
Results 11 to 19 of 19
  1. #11
    Join Date
    Jan 2004
    Posts
    65,999
    Blog Entries
    7
    Plugin Contributions
    261

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    Quote Originally Posted by flappingfish View Post
    * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
    * @version $Id: tpl_header.php 4813 2006-10-23 02:13:53Z drbyte $

    you wrote this header according to the first few lines :) or is that just that they have modified your source code for the template?
    Ya, that means I was likely the last one to touch it before it got published. Often that's because I'm the one updating the headers. LOL.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  2. #12
    Join Date
    Jan 2004
    Posts
    65,999
    Blog Entries
    7
    Plugin Contributions
    261

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    Quote Originally Posted by flappingfish View Post
    i'm assuming these files are outdated and need blending together as you said earlier....
    Yes. That's exactly the problem.

    All of the errors you quoted are probably fixable by merging changes made in newer versions.
    While you can vaguely follow some of my blog posts about changes between PHP versions, it's much better to just rebuild the template files using new clean set of files and building the customizations on top of them.

    Quote Originally Posted by flappingfish View Post
    has the "change admin folder to match and upload" method to load a new template changed with the latest zen?
    The concept remains the same.

    Again, I suspect working backwards from a new template and making it look like the older one is a faster process than starting from old and working your way forward in time.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  3. #13
    Join Date
    Nov 2020
    Posts
    59
    Plugin Contributions
    1

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    im slowly remembering little bits and bats from 2010, like riding a bike lol. ive downloaded winmerge so when ive had my kip in about 8 hours i want to find all the files listed in the log and compare them to the files from the standard template and add any lines of code thats missing in old template im trying to restore? im not great as stated but i was expecting more error messages tbh lol.

    appreciate the help bud, be back in a few hours once ive slept to see if i've got it right from what you was saying earlier about blending the files. is ther an automated tool for doing it or is it manual all the way btw?

  4. #14
    Join Date
    Jan 2004
    Posts
    65,999
    Blog Entries
    7
    Plugin Contributions
    261

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    I find the 3-way compare to be the most efficient in most cases.
    In your case I'd use 1st column for the old ZC version that the template was made for, that is: original ZC files for that version
    then in 2nd column I'd put your template's customizations
    and then in 3rd column I'd put the ZC version you're trying to convert to (again, original ZC files for that newer version)

    Then you can see in the 2nd column what was customized/added/changed compared to the 1st column (ie: what was done to "make it the way it is"),
    and then from the 3rd column you can see what changes need to be incorporated.
    You could also swap 2nd/3rd in order to use cols 1 and 2 to see what was changed between the ZC versions -- this can be helpful in case the changes were very minor, so you can just incorporate that change into the customized file.

    Wash, rinse, repeat for all the customizations. And for all override directories.
    .

    Zen Cart - putting the dream of business ownership within reach of anyone!
    Donate to: DrByte directly or to the Zen Cart team as a whole

    Remember: Any code suggestions you see here are merely suggestions. You assume full responsibility for your use of any such suggestions, including any impact ANY alterations you make to your site may have on your PCI compliance.
    Furthermore, any advice you see here about PCI matters is merely an opinion, and should not be relied upon as "official". Official PCI information should be obtained from the PCI Security Council directly or from one of their authorized Assessors.

  5. #15
    Join Date
    Nov 2020
    Posts
    59
    Plugin Contributions
    1

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    my head hurts, im not having anyjoy, i even tried installing that template you recommended and it failed :/ is there a hire section here?

  6. #16
    Join Date
    Feb 2006
    Location
    Tampa Bay, Florida
    Posts
    7,535
    Plugin Contributions
    284

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    That Software Guy. My Store: Zen Cart Modifications
    Available for hire - See my ad in Services
    Plugin Moderator, Documentation Curator, Chief Cook and Bottle-Washer.

  7. #17
    Join Date
    Nov 2020
    Posts
    59
    Plugin Contributions
    1

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    posted thanks swguy

  8. #18
    Join Date
    Nov 2020
    Posts
    59
    Plugin Contributions
    1

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    i made it slightly better check it out lol crazygamer.uk

  9. #19
    Join Date
    Nov 2020
    Posts
    59
    Plugin Contributions
    1

    Default Re: v1.38a install to use original 2010 template and upgrade but curl issue :/

    nobody has responded sadly, im thinking time to move on to a new template. i downloaded one called tableau2 looks nice and clean. only issues i have is how to get my logo to display as ive tried replacing the logo.gif with mine and no joy, is it possible to load the banner from my old site that formed the top colour banded area onto another template ie by moving it to the correct folder and naming it the same ect?
    also i deleted all currencies except gbp however it isnt displaying the symbol on the basket total area like it did for a 0 balance usd basket and my test product priced 1.99 is showing as "0" :/

 

 
Page 2 of 2 FirstFirst 12

Similar Threads

  1. v156 clean install Curl issue on WAMP
    By MikeyG in forum Installing on a Windows Server
    Replies: 14
    Last Post: 23 Feb 2020, 12:41 AM
  2. CURL issue on localhost install
    By iddy in forum Installing on a Windows Server
    Replies: 4
    Last Post: 26 May 2011, 07:25 AM
  3. Upgrading from 1.38a to 1.39b, need original 1.38a
    By ryantakers in forum Upgrading from 1.3.x to 1.3.9
    Replies: 6
    Last Post: 27 May 2010, 05:29 AM
  4. Zen-cart 1.38a CURL install error
    By TheFixer in forum Installing on a Linux/Unix Server
    Replies: 5
    Last Post: 24 Jan 2009, 12:52 PM
  5. Upgrade but keep store in original directory
    By sellis in forum Upgrading from 1.3.x to 1.3.9
    Replies: 7
    Last Post: 9 Aug 2008, 05:00 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
disjunctive-egg
Zen-Cart, Internet Selling Services, Klamath Falls, OR